petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexCheckGeometry

Check the geometry of mesh cells

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckGeometry(DM dm)

### Input Parameter

dm -The DMPlex object

Note: This is a useful diagnostic when creating meshes programmatically.

### See Also

DMCreate(), DMCheckSymmetry(), DMCheckSkeleton(), DMCheckFaces()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages